\section{Gravitational lensing in Newtonian Mechanics}
\label{appsec: newtonian_lensing}

\subsection{\underline{Escape velocity}}
In Newtonian Mechanics, when an object is being projected from the surface of the Earth, depending on the initial velocity, the object may 
\begin{enumerate}
	\item return to the Earth's surface, 
	\item move around the Earth in a bounded orbit, or 
	\item leave the Earth forever through an unbound orbit.
\end{enumerate}
\begin{figure}[hbt!]
\centering
\includegraphics[width=\textwidth]{escape_velocity.png}
\caption{
	\label{fig: escape_velocity} 
	(Left) Objects projected from the Earth's surface can have very different trajectories depending on the initial conditions. 
	(Right) Some objects in the universe may have accumulated sufficiently high masses. 
	Gravity is so strong that not even light can escape.
}
\index{figures}
\end{figure}

For an object to escape the influence of gravity of its host, we can compute the escape velocity $v_\text{esc}$ by 
considering energy conservation: The initial mechanical energy of the object must be conserved as it escapes 
from its host. 
Suppose an object of mass $m$ is projected with an initial velocity of $v$ from the surface of a host with radius $R$ and mass $M$. 
If the object manages to escape from its host completely, the object should have zero gravitational potential energy, and the minimum
final velocity of the object is zero. Mathematically, we can write
\begin{align}
	\frac{1}{2}mv^2 - \frac{GMm}{R} &= 0\\
	v = v_\mathrm{esc} &= \sqrt{\frac{2GM}{R}},
\end{align}
where $G$ is the gravitational constant. This is known as the escape velocity $v_\text{esc}$.

We can evaluate the radius of the host when the escape velocity becomes or exceeds the speed of light $c$:
\begin{align}
	c &= \sqrt{\frac{2GM}{R}}\\
	R &= \frac{2GM}{c^2}.
\end{align}
Such radius is known as the Schwarzschild radius. Nothing, including light, can escape if a mass $M$ is compressed to a radius smaller 
or equal to $R$. In the $18^\text{th}$ Century, John 
Michell was the first person to theorize the existence of these ``compact'' objects, which he named 
``dark stars'' \cite{John_Michell_1784}.

The above discussion hints at the point that gravity affects not only masses but also light. When 
objects pass by masses, their travelling paths will get deflected due to gravity. The same goes for 
light, which will be bent as it passes by massive intervening objects. When these deflected light 
rays reach the Earth, they appear to originate from positions different from the source 
position. In this sense, the massive object that ``supplies'' the gravity for light bending becomes a 
``gravitational lens''. Figure \ref{Fig: gravitational_lensing} shows an illustrative example of 
gravitational lensing of a star-forming galaxy by a gravitational lens formed by a galaxy cluster.
\begin{figure}[hbt!]
\centering
\includegraphics[width=\textwidth]{gravitational_lensing.png}
\caption{
	\label{Fig: gravitational_lensing} 
	Light coming from a star-forming galaxy passes through a galaxy cluster that acts as 
	a gravitational lens to deflect the light rays. Observers on the other side of the lens 
	will think that the deflected light comes from images at positions different from 
	the source position. The images may be magnified / de-magnified in terms of brightness and 
	size, and may suffer from shape deformation.
}
\index{figures}
\end{figure}
The images formed from gravitational lensing can also suffer a magnification / de-magnification in 
terms of brightness (amplitude) and size, and their shapes may also be deformed.


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\section{Derivation of the deflection angle in Newtonian Mechanics}
\label{appsec: newtonian_deflection_angle}
In this section, I present four different methods to derive the Newtonian deflection angle. 

\subsection{\underline{Method 1: Dimensional analysis}}
We note that the deflection angle $\hat\alpha$ is a dimensionless quantity. It is possible to construct 
this dimensionless physical quantity with known related parameters. 
We have earlier derived the Schwarzschild radius $R_\text{S} = \frac{2GM}{c^2}$, which has a unit of length. 
This is a good starting point because it relates the gravitational ``strength'' of the lens to its density 
(mass $M$ and radius $R$). To create a dimensionless quantity, we must divide the Schwarzschild radius with 
another parameter with a unit of length. A convenient parameter would be the impact parameter $\xi$. 
Putting everything together, we get a dimensionless expression
\begin{align}
    \hat\alpha = \frac{2GM}{c^2 \xi},
\end{align}
which turns out to be exactly the Newtonian deflection angle. We can make sense of the constructed quantity:
\begin{enumerate}
	\item{
		The deflection angle is directly proportional to the mass of the lens $M$. That is, the more 
		The larger the lens is, the larger the deflection angle will be, i.e. the more significant the gravitational lensing effect will be.
		}
	\item{
		The deflection angle is inversely proportional to the impact parameter $\xi$. That is, the closer the source 
		is to the principal axis, the greater the deflection angle will be. This makes perfect sense because gravitational 
		potential is inversely proportional to the distance to the source of gravity. The closer it is to the source of 
		gravity, the stronger the gravitational force will be, and hence, the greater the effect of gravitational lensing will be.
		}
\end{enumerate}


\subsection{\underline{Method 2: A hand-waving approach}}
\begin{figure}[hbt!]
\centering
\includegraphics[width=\textwidth]{deflection_angle_derivation_hand_wavy.png}
\caption{
	\label{Fig: deflection_angle_hand_wavy} 
	An astronaut is riding in a rocket originally moving at speed $v$ horizontally to the right. 
	A blue giant of mass $M$ nearby acts as the gravitational lens. 
	The *half*-deflection angle is $\hat\alpha$, and the distance $d$ is the impact parameter. 
	Inside the rocket, the astronaut shoots a light beam horizontally (in red).
}
\index{figures}
\end{figure}
Figure \ref{Fig: deflection_angle_hand_wavy} shows an astronaut riding a rocket moving horizontally to the right with an initial speed $v$. 
A blue giant of mass $M$ nearby acts as the gravitational lens that changes the rocket's trajectory. 
The *half*-deflection angle is $\hat\alpha$
\footnote{
	The deflection angle is halved because we have only considered half the deflection process.
}, 
and the impact parameter is $d$. Inside the rocket, the astronaut shines a light beam horizontally (in red) to the right.
If we assume the change in distance between the blue giant and the rocket $d\vec{r}$ is small, the magnitude of the acceleration due to gravity 
$|\vec{a}| = \left|\frac{d^2\vec{r}}{dt^2}\right|$ can be regarded as approximately constant throughout the whole deflection process. 
Under this assumption, the acceleration can be approximated as
\begin{align}
	a \approx \frac{GM}{d^2}. 
\end{align}
Since the rocket, astronaut, and the light pulse all experience the same deflection due to gravity. The time $t$ that the light pulse 
experiences deflection due to gravity is roughly the same order as it takes to travel a distance $d$ (the impact parameter) in its original speed 
(i.e. the speed of light). Hence, we can approximate $t$ as
\begin{align}
	t \approx \frac{d}{c}.
\end{align}
As the acceleration is assumed to be roughly constant throughout the whole deflection, the final vertical speed of the light pulse 
is approximately 
\begin{align}
	v_\perp = u + at = 0 + \frac{GM}{d^2} \times \frac{d}{c} = \frac{GM}{cd},
\end{align}
where $u$ is the initial vertical speed of the light pulse. Assuming that the half-deflection angle $\hat\alpha$ is small, and considering 
the horizontal component $v=c$ and vertical component $v_\perp$ of the speed of the light pulse, we get
\begin{align}
	\tan \alpha \approx \hat\alpha = \frac{v_\perp}{v} =  \frac{GM}{c^2d},
\end{align}
which is the same expression we got earlier (apart from the prefactor $2$ because we have only considered half the deflection process).


\subsection{\underline{Method 3: Integration}}
\begin{figure}[hbt!]
\centering
\includegraphics[width=\textwidth]{deflection_angle_integration.png}
\caption{
	\label{Fig: deflection_angle_integration} 
	Here, we show a rocket (the rectangle box) moving horizontally along the positive $x$-axis initially. 
	A blue giant of mass $M$ (in blue) is placed at the origin. 
	$\vec{r}$ denotes the vector pointing from the blue giant to the rocket, 
	and $\theta$ is the angle between $\vec{r}$ and the positive $y$-axis. 
	$\hat\alpha$ is the deflection angle, 
	and $d$ is the impact parameter. 
	A light beam is shot horizontally inside the rocket (not shown).
}
\index{figures}
\end{figure}
Figure \ref{Fig: deflection_angle_integration} shows a rocket (the rectangle box) moving horizontally initially along the positive $x$-axis. 
A blue giant of mass $M$ (in blue) is placed at the origin. 
$\vec{r}$ denotes the vector pointing from the blue giant to the rocket, and $\theta$ is the angle between $\vec{r}$ and the positive $y$-axis. 
$\hat\alpha$ is the deflection angle, and $d$ is the impact parameter. A light beam is shot horizontally inside the rocket (not shown).

Assuming the deflection is very small such that the $y$-component of the vector $\vec{r}$ is approximately constant, 
i.e. it is approximately equal to the impact parameter $d$, we can express $r$ as
\begin{align}
	r \approx \sqrt{x^2 + d^2},
\end{align}
where $x$ is the $x$-coordinate of the rocket. 
Neglecting the horizontal component of the gravitational acceleration on the light beam by the blue giant
\footnote{
	We neglect that because we are only interested in the deflection along the vertical direction.
}, 
then the acceleration due to gravity experienced by the light beam at any time $t$ is given by
\begin{align}
	\vec{a} = -\frac{GM}{r^2}\hat{r} \approx -\frac{GM}{r^2}\cos\theta \hat{y}.
\end{align}
The magnitude of the acceleration can be further expressed as 
\begin{align}
	a = \frac{GM}{r^2}\cos\theta = \frac{GM}{r^2}\frac{d}{r} = \frac{GMd}{\left(x^2+d^2\right)^{3/2}}.
\end{align}
Then, the total increase in speed of the light beam along the $y$-direction is given by
\begin{align}
	\Delta v_\perp = \int_{t_0}^{t_\infty} adt. 
\end{align}
We make a change of variable with 
\begin{align}
	dt = \frac{dx}{c},
\end{align}
where $dt$ is the infinitesimal time of travel of the light beam along the $x$ direction.
Since we assume the horizontal component of the acceleration due to gravity is negligible, 
the speed of the light beam along the $x$-direction remains $c$. Then, we get
\begin{align}
	\Delta v_\perp = \int_{-\infty}^{\infty} a \frac{dx}{c} = \frac{GMd}{c}\int_{-\infty}^{\infty} \frac{1}{\left(x^2+d^2\right)^{3/2}}dx.
\end{align}
Doing a change of variable $x=d\tan\theta$, we get $dx = d\sec^2\theta d\theta$, and hence we have
\begin{align}
	\Delta v_\perp &= \frac{GMd}{c}\int_{-\pi/2}^{\pi/2} \frac{1}{d^3\sec^3\theta}d\sec^2\theta d\theta \\
	&= \frac{GM}{cd}\int_{-\pi/2}^{\pi/2} \frac{d\theta}{\sec\theta} \\
	&= \frac{GM}{cd}\int_{-\pi/2}^{\pi/2} \cos\theta d\theta = \frac{2GM}{cd}.
\end{align}
Assuming that the deflection angle is small, we have
\begin{align}
	\tan\alpha \approx \alpha = \frac{\Delta v_\perp}{c} = \frac{2GM}{c^2d},
\end{align}
which is the same expression we obtained earlier
\footnote{
	Note that this time, we get the correct prefactor $2$ because the integral ranges from 
	$-\infty$ to $\infty$. Technically, we are integrating over the whole deflection process.
}.



\subsection{\underline{Method 4: Standard Newtonian Mechanics}}
\begin{figure}[hbt!]
\centering
\includegraphics[width=\textwidth]{deflection_angle_newtonian_mechanics.png}
\caption{
	\label{Fig: deflection_angle_newtonian_mechanics} 
	A gravitational lens of mass $M$ is placed at the origin. 
	The $x$-axis is aligned such that the positive-$x$ direction is along the direction of the 
	un-deflected light ray from the source. The distance from the lens to the closest approach 
	of the light ray is $\xi$, at a polar angle $\theta_0$. 
	The position of the light ray at any time $t$ is represented by the position vector $\vec{r}$. 
	The half-deflection angle is $\delta\theta$, so the total deflection angle is $2\delta\theta$ 
	(deflection angle is defined as the angle between the image and the source).
}
\index{figures}
\end{figure}
Figure \ref{Fig: deflection_angle_newtonian_mechanics} shows a gravitational lens of mass $M$ at the origin. 
The $x$-axis is aligned such that the positive-$x$ direction is along the direction of the undeflected light 
ray from the source. 
The distance from the lens to the closest approach of the light ray is $\xi$, at a polar angle $\theta_0$. 
The position of the light ray at any time $t$ is represented by the position vector $\vec{r}$. 
The half-deflection angle is $\delta\theta$, so the total deflection angle is $2\delta\theta$ 
(deflection angle is defined as the angle between the image and the source).

Assuming photons have mass, we can write the equations of motion for photons as
\begin{align}
	m\frac{d^2\vec{r}}{dt^2} &= -\frac{GMm}{r^2}\hat{r}\\
	\frac{d^2\vec{r}}{dt^2} &= -\frac{GM}{r^2}\hat{r},
\end{align}
where we have removed photons ``hypothetical'' mass $m$. This equation of motion is, in general a three-dimensional 
equation (in spherical coordinates, $\hat{r}$, $\hat\theta$, $\hat\phi$). However, we can construct the diagram 
such that all the motions are constrained on a plane, which reduces this to a two-dimensional equation 
(in polar coordinates, $\hat{r}$ and $\hat{\theta}$). 
Recall that $\vec{r} = r\hat{r}$, $\dot{\vec{r}} = \dot{r}\hat{r} + r\dot\theta \hat{\theta}$, and 
$\ddot{\vec{r}} = \left(\ddot{r} - r\dot\theta^2\right)\hat{r} + \left(r\ddot{\theta} - 2\dot{r}\dot{\theta}\right)\hat{\theta}$. 
We can hence write the above equation of motion as
\begin{align}
	\left(\ddot{r} - r\dot\theta^2 + \frac{GM}{r^2} \right)\hat{r} + \left(r\ddot{\theta} - 2\dot{r}\dot\theta \right)\hat\theta = 0.
\end{align}

Focusing on the $\theta$ component of the equation of motion, we have
\begin{align}
	r\ddot{\theta} - 2\dot{r}\dot\theta &= 0\\
	r^2 \ddot{\theta} - 2r\dot{r}\dot\theta &= 0 \\
	\frac{d}{dt}\left[r^2\dot\theta\right] &= 0\\
	r^2\dot\theta = L_\text{z} &= \text{Constant},
\end{align}
which leads to a ``conserved'' quantity $L_\text{z} = r^2\dot\theta$, correpsonding to the ``angular momentum''.

The $r$-component of the equation of motion can be written as
\begin{align}
	\ddot{r} - \frac{L_z^2}{r^3} + \frac{GM}{r^2} = 0.
\end{align}
To solve the equation, we make a change of variable $r(t) \rightarrow r[\theta(t)]$, 
i.e. we make $r$ become a function of $\theta$ instead of time $t$. Then, we have
\begin{align}
	\dot{r} = \frac{dr}{d\theta}\frac{d\theta}{dt} = r'\dot\theta = r' \frac{L_z}{r^2},
\end{align}
where $\dot{r}$ and $r'$ represent the derivative with respect to time $t$ and $\theta$ respectively. 
Similarly,
\begin{align}
	\ddot{r} &= L_z \frac{d}{dt}\left[r' \frac{1}{r^2}\right] = L_z \frac{d}{d\theta}\left[r' \frac{1}{r^2}\right] \times \frac{d\theta}{dt} = \frac{L_z^2}{r^2}\left[ \frac{r''}{r^2} - \frac{2r'^2}{r^3}\right] = L_z^2 \left[\frac{r''}{r^4} - \frac{2r'^2}{r^5}\right].
\end{align}
The equation of motion can then be written as
\begin{align}
	L_z^2 \left[\frac{r''}{r^4} - \frac{2r'^2}{r^5}\right] + \frac{GM}{r^2} = 0.
\end{align}
We make another change of variable $u=\frac{1}{r}$. This gives us
\begin{align}
	r = \frac{1}{u} \, \rightarrow \, r' = -\frac{1}{u^2}u' \, \rightarrow \, r'' = -\frac{u''}{u^2} + \frac{2u'^2}{u^3},
\end{align}
and the equation of motion becomes
\begin{align}
	L_z^2 \left(u^2u'' + u^3 \right) = GMu^2\\
	u^2 \left[L_z^2 \left(u'' + u\right) - GM\right] = 0.
\end{align}
This leads to two possible solutions:
\begin{enumerate}
	\item{
		$u=0$ and hence $r\rightarrow \infty$ (the light is infinitely away from the lens, 
		such that no lensing occurs), and 
		}
	\item{
		$L_z^2 \left(u'' + u\right) - GM = 0$. 
		}
\end{enumerate}
The first solution is the trivial solution (no lensing has occurred). Hence, we will focus on the second solution.
The second solution yields an inhomogeneous second-order differential equation
\begin{align}
	u'' + u = \frac{GM}{L_z^2}.
\end{align}
The homogenous part of the equation
\begin{align}
	u'' + u = 0
\end{align}
yields the homogenous solution $u_h = A\cos(\theta - \phi)$, where $A$ and $\phi$ are constants to be determined 
by initial conditions. The particular solution is simply the constant on the right side of the equation, 
i.e. $u_p = \frac{GM}{L_z^2}$. Hence, the general solution to the differential equation is given by
\begin{align}
	u = u_h + u_p = A\cos(\theta - \phi) + \frac{GM}{L_z^2}.
\end{align}
In terms of $r$, the solution is
\begin{align}
	\frac{1}{r(\theta)} = A\cos(\theta - \phi) + \frac{GM}{L_z^2}.
\end{align}
We observe that $r$ is minimized when the right side is maximized, which, by constraining $A$ to be positive, 
happens when $\cos(\theta-\phi)=1$ (i.e. $\theta-\phi = 0$). 
The minimum $r$ occurs at the closest approach $\theta=\theta_0$. 
Hence, we immediately get $\phi=\theta_0$, and the solution becomes
\begin{align}
	\frac{1}{r(\theta)} = A\cos(\theta - \theta_0) + \frac{GM}{L_z^2}.
\end{align}
Now, we consider the conservation of angular momentum $L_z = r^2\dot\theta$. When the light is very far away from 
the lens $\theta\rightarrow \theta_\infty$, the angular momentum is roughly equal to $L_z = \vec{r}\times\vec{v} \approx \xi c$, 
since the light is moving along the direction of $x$. 
We can hence write the solution for $r$ as
\begin{align}
	\frac{1}{r(\theta)} = A\cos(\theta - \theta_0) + \frac{GM}{\xi^2c^2}.
\end{align}

We now impose initial conditions: (1) When $\theta\rightarrow\pi$, $r\rightarrow\infty$, so we get
\begin{align}
	0 = A\cos(\pi - \theta_0) + \frac{GM}{\xi^2c^2} = -A\cos\theta_0 + \frac{GM}{\xi^2c^2}\\
	A\cos\theta_0 = \frac{GM}{\xi^2c^2}\\
	A^2 \cos^2 \theta_0 = \frac{G^2M^2}{\xi^4 c^4}.
\end{align}
(2) If we differentiate the equation of motion with respect to time, we get
\begin{align}
	-\frac{\dot{r}}{r^2} = -A\dot\theta\sin(\theta-\theta_0)\\
	A = \frac{\dot{r}}{\underbrace{r^2\dot\theta}_{L_z} \sin(\theta-\theta_0)} = \frac{\dot{r}}{\xi c \sin(\theta-\theta_0)}.
\end{align}
Initially at $\theta=\pi$, we have $\dot\theta\approx 0$, and recall that $v = c = \sqrt{\dot{r}^2 + r^2\dot\theta^2} \approx \dot{r}$ in polar coordinates, so we get
\begin{align}
	A = \frac{c}{\xi c \sin(\pi - \theta_0)} = \frac{1}{\xi \sin\theta_0}\\
	\sin\theta_0 = \frac{1}{A\xi}\\
	\cos^2\theta_0 = 1 - \frac{1}{A^2\xi^2}.
\end{align}
Together, we get
\begin{align}
	A^2 \left(1 - \frac{1}{A^2\xi^2} \right) = \frac{G^2M^2}{\xi^4c^4}\\
	A^2 = \frac{1}{\xi^2} + \frac{G^2M^2}{\xi^4c^4},
\end{align}
and hence
\begin{align}
	\cos^2\theta_0 = 1 - \frac{1}{\xi^2\left(\frac{1}{\xi^2} + \frac{G^2M^2}{\xi^4c^4}\right)} = 1 - \frac{1}{1+\frac{G^2M^2}{\xi^2c^4}} &\approx 1 - \left[1 - \frac{G^2M^2}{\xi^2c^4}\right] = \frac{G^2M^2}{\xi^2c^4}\\
	\cos\theta_0 &= \frac{GM}{\xi c^2}.
\end{align}
Now note that if $\theta_0=\frac{\pi}{2}$, it results in no deflection. Therefore, if we write $\theta_0 = \frac{\pi}{2} - \epsilon$, 
where $\epsilon$ is a small number, then $\epsilon$ will define the ``strength'' of the lensing effect acting on the light beam. 
Then, we can expand $\cos\theta_0$ as
\begin{align}
	\cos\theta_0 = \cos\left(\frac{\pi}{2}-\epsilon\right)\approx \epsilon = \frac{GM}{\xi c^2},
\end{align}
and hence
\begin{align}
	\theta_0 \approx \frac{\pi}{2} - \frac{GM}{\xi c^2}.
\end{align}
Finally, consider the geometric construction in Figure \ref{Fig: deflection_angle_newtonian_mechanics_geometric_construction}.
\begin{figure}[hbt!]
\centering
\includegraphics[width=\textwidth]{deflection_angle_newtonian_mechanics_geometric_construction.png}
\caption{\label{Fig: deflection_angle_newtonian_mechanics_geometric_construction} Additional geometric construction on \ref{Fig: deflection_angle_newtonian_mechanics}.}
\end{figure}
In the closed quadrilateral, by the angle sum of polygon, we have
\begin{align}
	\frac{\pi}{2}\times 2 + \left(\frac{\pi}{2}-\delta\theta\right) + \left(\pi - \theta_0\right) = 2\pi\\
	\delta\theta = \frac{\pi}{2} - \left(\frac{\pi}{2} - \frac{GM}{\xi c^2}\right) = \frac{GM}{\xi c^2},
\end{align}
and hence the total deflection angle is, once again, 
\begin{align}
	\hat\alpha = 2\delta\theta = \frac{2GM}{\xi c^2}.
\end{align}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\section{Relativistic deflection angle}
\label{appsec: gr_deflection_angle}
In this section, we will explain how one can derive the relativistic deflection angle. 
Unless otherwise stated, we set the speed of light $c=1$ for simplicity.
We consider a simple point-mass lens massive enough to be considered stationary. 
Around a point mass lens of mass $M$, spacetime can be described by the Schwarzschild metric, i.e.
\begin{align}
	ds^2 = -\left(1-\frac{2GM}{r}\right)dt^2 + \left(1 - \frac{2GM}{r}\right)^{-1}dr^2 + r^2d\theta^2 + r^2\sin^2\theta d\phi^2
\end{align}
in spherical coordinates. Note that away from the point mass lens (i.e. $r\rightarrow \infty$), 
the Schwarzschild metric reduces to the flat Minkowski metric, i.e.
\begin{align}
	ds^2 \rightarrow -dt^2 + dr^2 + r^2d\theta^2 + r^2\sin^2\theta d\phi^2.
\end{align}
The metric tensor $g_{\mu\nu}$ for the Schwarzschild metric can be written as
\begin{align}
	g_{\mu\nu} = \text{diag}\left[-\left(1-\frac{2GM}{r}\right), \left(1-\frac{2GM}{r}\right)^{-1}, r^2, r^2\sin^2\theta\right].
\end{align}
The geodesic equation is given by
\begin{align}
	\frac{d}{d\tau}\left(g_{\mu\nu}\frac{dx^\nu}{d\tau}\right) - \frac{1}{2} g_{\alpha\beta,\mu}\frac{dx^\alpha}{d\tau}\frac{dx^\beta}{d\tau} = 0,
\end{align}
where $g_{\alpha\beta,\mu} = \partial_\mu g_{\alpha\beta}$, $\tau$ is the proper time, and $x^\mu$ is the $4$-position vector.
Considering the $\mu=t$-component of the geodesic equation, we have
\begin{align}
	\frac{d}{d\tau}\left(g_{t\nu}\frac{dx^\nu}{d\tau}\right) - \frac{1}{2} g_{\alpha\beta,t}\frac{dx^\alpha}{d\tau}\frac{dx^\beta}{d\tau} = 0.
\end{align}
Since $g_{t\nu}$ is non-zero only when $\nu = t$, and none of the components of $g_{\mu\nu}$ is explicitly dependent on $t$, 
we have $g_{\alpha\beta,t} = 0$, and
\begin{align}
	\frac{d}{d\tau}\left[g_tt\frac{dt}{d\tau}\right] = 0\\
	-g_tt\frac{dt}{d\tau} = e = \text{Constant}.
\end{align}
A negative sign is deliberately multiplied to the last line of the equation. 
Note that $\frac{dt}{d\tau}$ is the $t$-component of the $4$-velocity $v^t$. 
If we multiply the mass of the corresponding particle $m$ to the expression, 
we get the $t$-component $p^t$ of the $ 4$ momentum. 
As $r\rightarrow \infty$, $g_{tt}\rightarrow-1$ and $me = p^t$, corresponding to the energy of the particle. 
Therefore, we can interpret $e$ as the energy per unit mass of the particle.

Considering the $\mu=\phi$ component of the geodesic equation, we get
\begin{align}
	\frac{d}{d\tau}\left(g_{\phi\nu}\frac{dx^\nu}{d\tau}\right) - \frac{1}{2} g_{\alpha\beta,\phi}\frac{dx^\alpha}{d\tau}\frac{dx^\beta}{d\tau} = 0.
\end{align}
Note that $g_{\phi\nu}$ is non-zero only when $\nu=\phi$, and $g_{\alpha\beta,\phi}=0$. We have
\begin{align}
	\frac{d}{d\tau}\left(g_{\phi\phi}\frac{dx^\phi}{d\tau}\right) &= 0\\
	g_{\phi\phi}\frac{dx^\phi}{d\tau} = r^2\sin^2\theta \frac{dx^\phi}{d\tau} &= l = \text{Constant}.
\end{align}
Assuming the geodesic lies on the equatorial plane, i.e. $\theta=\frac{\pi}{2}$, we get
\begin{align}
	l = r^2 \frac{dx^\phi}{d\tau} = r^2 \dot{\phi}.
\end{align}
Multiplying the mass of the particle $m$ to both sides, we get
\begin{align}
	ml = mr^2 \dot\phi,
\end{align}
which we can immediately identify the right side as the angular momentum of the particle. 
Therefore, we can interpret $l$ as the particle's angular momentum per unit mass.

Note that the above discussion only applies to particles with mass. 
For massless particles like photons, the proper time $\tau$ is ill-defined (along any photon's worldline, $\tau=0$). 
We can eliminate the proper time $\tau$ by creating a new conserved 
quantity $b=\frac{l}{e}$ using the previously found conserved quantities. 
This new quantity
\begin{align}
	b = \frac{l}{e} = \frac{r^2\frac{d\phi}{d\tau}}{\left(1-\frac{2GM}{r}\right)\frac{dt}{d\tau}} = \frac{r^3}{r-2GM}\frac{d\phi}{dt}\\
	\frac{d\phi}{dt} = \frac{b}{r^2}\left(1-\frac{2GM}{r}\right).
\end{align}
is the impact parameter. 
Note that this new quantity $b$ does not depend on $\tau$, hence it applies to massless particles like photons.

For massless particles like photons, the proper time is always $d\tau=0$, so by comparing the spacetime interval 
measured by an observer co-moving with a photon (i.e. the proper time $-d\tau = 0$), 
and that measured by another arbitrary observer, we get
\begin{align}
	0 = -\left(1-\frac{2GM}{r}\right)dt^2 + \left(1 - \frac{2GM}{r}\right)^{-1}dr^2 + r^2d\theta^2 + r^2\sin^2\theta d\phi^2.
\end{align}
Constraining the motion on the equatorial plane (i.e. $\theta=\frac{\pi}{2}$ and $d\theta=0$), we get
\begin{align}
	0 = -\left(1-\frac{2GM}{r}\right)dt^2 + \left(1 - \frac{2GM}{r}\right)^{-1}dr^2  + r^2 d\phi^2\\
	0 = -\left(1-\frac{2GM}{r}\right) + \left(1 - \frac{2GM}{r}\right)^{-1}\left(\frac{dr}{dt}\right)^2 + r^2 \left(\frac{d\phi}{dt}\right)^2.
\end{align}
Using the quantity $b$ we obtained earlier, we have
\begin{align}
	0=-\left(1-\frac{2GM}{r}\right) + \left(1 - \frac{2GM}{r}\right)^{-1}\left(\frac{dr}{dt}\right)^2 + r^2 \times \frac{b^2}{r^4}\left(1-\frac{2GM}{r}\right)^2\\
	\left(\frac{dr}{dt}\right)^2 = \left(1-\frac{2GM}{r}\right)^2 - \frac{b^2}{r^2}\left(1-\frac{2GM}{r}\right)^3\\
	\frac{dr}{dt} = \left(1-\frac{2GM}{r}\right)\sqrt{1-\frac{b^2}{r^2}\left(1-\frac{2GM}{r}\right)}.
\end{align}

Making a change of variable $u(\phi) = \frac{1}{r(\phi)}$ gives
\begin{align}
	\frac{dr}{dt} = \frac{dr}{du}\frac{du}{d\phi}\frac{d\phi}{dt} = -\frac{1}{u^2}\times u' \times \frac{b}{r^2}\left(1-\frac{2GM}{r}\right) = -u'b\left(1-2GMu\right),
\end{align}
where $u' = \frac{du}{d\phi}$. Then, the previous equation can be rewritten as
\begin{align}
	-u'b(1-2GMu) = (1-2GMu)\sqrt{1-b^2u^2(1-2GMu)}\\
	(1-2GMu)\left[u'b + \sqrt{1-b^2u^2(1-2GMu)}\right] = 0,
\end{align}
which leads to
\begin{align}
	u'b + \sqrt{1-b^2u^2(1-2GMu)} = 0\\
	u'^2b^2 = 1 - b^2u^2(1-2GMu)\\
	u'^2 + u^2 = \frac{1}{b^2} + 2GMu^3.
\end{align}
Differentiating both sides with respect to $\phi$ again, we get
\begin{align}
	2u'u'' + 2uu' = 6GMu^2u'\\
	u'(u''+u - 3GMu^2) = 0.
\end{align}
This leads to either $u'=0$ (trivial solution, corresponding to the scenario where no lensing occurs), or the differential equation
\begin{align}
	u'' + u = 3GMu^2.
\end{align}

To solve this differential equation, we first consider the case where $M=0$, i.e. when there is no lens. 
Then, the differential equation becomes
\begin{align}
	u'' = -u
\end{align}
and the general solution is simply
\begin{align}
	\tilde{u} = A\cos\phi + B\sin\phi,
\end{align}
where $A, B$ are constants to be determined by initial conditions. 
If we assume $u=0$ (i.e. $r\rightarrow\infty$) at $\phi = \pi$, 
we get $A=0$ and $\tilde{u}=B\sin\phi$. 
Note that $u$ is maximized when $\phi=\frac{\pi}{2}$, 
which corresponds to the minimum of $r$, 
i.e. the closest approach $u_c$ from the gravitational lens to the light beam. 
With such, we immediately get $A=u_c$ and hence $\tilde{u}=u_c \sin\phi$.

With perturbation theory, we can now solve the original equation (i.e. $M\neq 0$). 
We assume the solution can be written as
\begin{align}
	u = u_c \sin\phi + u_c z(\phi),
\end{align}
where $z(\phi)$ is a small perturbation. Substituting this into the original equation, we get
\begin{align}
	\frac{d^2}{d\phi^2}\left[u_c \sin\phi + u_c z(\phi)\right] + \left[u_c \sin\phi + u_c z(\phi)\right] = 3GM\left[u_c \sin\phi + u_c z(\phi)\right]^2\\
	-u_c \sin\phi + u_c z'' + u_c \sin\phi + u_c z = 3GM\left[u_c^2\sin^2\phi + 2u_c^2 z \sin\phi + u_c^2 z^2\right]\\
	z'' + z \approx 3GM(u_c \sin^2\phi)
\end{align}
where we have dropped the final two terms on the right side because they are sufficiently small. This means
\begin{align}
	z'' + z = \frac{3GMu_c}{2}\left(1-\cos{2\phi}\right).
\end{align}
This is, again, an inhomogeneous differential equation. To solve for the particular solution, we guess the solution to be
\begin{align}
	z_p = E + F\sin{2\phi} + H\cos{2\phi}
\end{align}
where $E,F,H$ are constants. Substituting this into the equation, we get
\begin{align}
	\left[-4F\sin{2\phi} - 4H\cos{2\phi}\right] + \left[E + F\sin{2\phi} + H\cos{2\phi}\right] = \frac{3GMu_c}{2}\left(1-\cos{2\phi}\right)\\
	-3F \sin{2\phi} - 3H\cos{2\phi} + E = \frac{3GMu_c}{2}\left(1-\cos{2\phi}\right).
\end{align}
This gives $F=0$, $E = \frac{3GMu_c}{2}$ and $H = \frac{GMu_c}{2}$. Then, the general solution for $z$ can be written as
\begin{align}
	z = \frac{3GMu_c}{2} + \frac{GMu_c}{2}\cos{2\phi},
\end{align}
and that for $u$ can be written as
\begin{align}
	u = u_c \sin\phi + \frac{3GMu_c^2}{2} + \frac{GMu_c^2}{2}\cos{2\phi} = u_c \left[\sin\phi + \frac{3GMu_c}{2}\left(1 + \frac{1}{3}\cos{2\phi}\right)\right].
\end{align}
Recall that $u=0$ when $\phi = 0$ and $\pi$ for $M=0$. However, this is no longer the case when $M\neq 0$. Instead, $u=0$ for some small angle $\phi_0$ ($\phi_0$ is small because we assume a small perturbation). Under the small angle approximation, we get $\sin\phi \approx \phi$ and $\cos{2\phi} \approx 1$, and hence
\begin{align}
	0 \approx u_c \left[\phi_0 + \frac{3GMu_c}{2}\left(1+\frac{1}{3}\right)\right]\\
	\phi_0 = 2GMu_c = \frac{2GM}{r_c},
\end{align}
where $r_c = \frac{1}{u_c}$ is the distance from the lens to the light beam at the closest approach. 
Since we are only considering half the deflection process, the total deflection angle is hence
\begin{align}
	\hat\alpha = \frac{4GM}{r_c},
\end{align}
which is twice the Newtonian value. 

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\section{The lens equation from geometric constructions}
\label{appsec: lens_equation}
In this section, we will derive the lens equation with the thin lens approximation. 

\subsection{\underline{The 1D lens equation}}
We first consider the ``simplest'' lens model - When there is no lens. 
Figure \ref{Fig: no_lens_lens_model} illustrates the scenario. 
Although no lensing is occurring, we can already define two important parameters, namely the source position 
$\beta$ and source distance $D_\text{S}$, for later discussion. 
Note that all distances in this section are assumed to be cosmological distances.
\begin{figure}[hbt!]
\centering
\includegraphics[width=\textwidth]{no_lens_lens_model.png}
\caption{
	\label{Fig: no_lens_lens_model} 
	The ``simplest'' lens model is the case when no gravitational lens exists. 
	In this scenario, however, we can already define two important quantities, namely the source position 
	$\beta$ and source distance $D_\text{S}$, which will be useful later.
}
\index{figures}
\end{figure}

We now insert a massive lens into the picture. We assume that the lens is massive enough so it is approximately a stationary point mass. 
Figure \ref{Fig: point_mass_lens_model} illustrates the updated scenario. 
In this case, we need to define several new parameters, namely 
(1) the image position $\theta$, 
(2) the lens-source distance $D_\text{LS}$, 
(3) the lens distance $D_\text{L}$, 
(4) the impact parameter $\xi$, which is the distance to the closest approach between the light ray and the lens, and 
(5) the deflection angle $\hat{\alpha}$, which is the angle between the image and the undeflected light ray.
\begin{figure}[hbt!]
\centering
\includegraphics[width=\textwidth]{point_mass_lens_model.png}
\caption{
	\label{Fig: point_mass_lens_model} 
	A massive point-mass lens enters the picture. 
	Because of gravitational lensing, the light ray from the source is bent, and a new image is formed. 
	We now need to define several new parameters: 
	(1) The image position $\theta$, 
	(2) The lens-source distance $D_\text{LS}$, 
	(3) The lens distance $D_\text{L}$, 
	(4) The impact parameter $\xi$ (the distance of closest approach between the light ray and the lens), and 
	(5) The deflection angle $\hat{\alpha}$ (the angle between the un-deflected light ray and the image).
}
\index{figures}
\end{figure}

Recall that the deflection angle is given by
\begin{align}
	\hat\alpha = \frac{4GM}{\xi}.
\end{align}
Assuming small angles, the ``height'' of the image is then given by $D_\text{S}\theta$. The same ``height'' can also be 
expressed in terms of $D_\text{S}, D_\text{LS}, \beta$ and $\hat\alpha$ as $D_\text{S}\beta + D_\text{LS}\hat\alpha$. 
The impact parameter can be expressed as $\xi = D_\text{L}\theta$. Hence, we have
\begin{align}
	D_\text{S}\theta = D_\text{S}\beta + D_\text{LS}\hat\alpha &= D_\text{S}\beta + \frac{4GMD_\text{LS}}{D_\text{L}\theta}\\
	\theta^2 - \beta\theta - \frac{4GMD_\text{LS}}{D_\text{L}D_\text{S}} &= 0.
\end{align}
This quadratic equation for $\theta$ is known as the ``lens equation''.
If we set $\beta=0$ (i.e. the source is directly behind the lens), we get
\begin{align}
	\theta^2 = \frac{4GMD_\text{LS}}{D_\text{L}D_\text{S}}\\
	\theta = \theta_\text{E} = \pm\sqrt{\frac{4GMD_\text{LS}}{D_\text{L}D_\text{S}}}.
\end{align}
$\theta_E$ is known as the ``Einstein radius''. In this case, ``infinitely many'' images are formed around the point mass lens 
with the image position being $\theta_E$, forming the ``Einstein ring''.

We can then write the lens equation in terms of $\theta_E$ as
\begin{align}
	\theta^2 - \beta\theta - \theta_E^2 = 0\\
	\theta = \frac{\beta}{2} \pm \frac{1}{2}\sqrt{\beta^2 + 4\theta_E^2} = \theta_\pm,
\end{align}
which gives the image positions as $\theta_\pm$. Another way to visualize the result is by using the graphical method. The lens equation can be written as
\begin{align}
	\theta - \beta = \frac{\theta_E^2}{\theta}.
\end{align}
The problem is now transformed into one asking for the number of intersections between the two curves $y=\theta-\beta$ and $y=\frac{\theta_E^2}{\theta}$. As Figure \ref{Fig: solving_lens_equation_graphically} demonstrates, the point mass lens model always admits two solutions. 
\begin{figure}[hbt!]
\centering
\includegraphics[width=\textwidth]{solving_lens_equation_graphically.png}
\caption{
	\label{Fig: solving_lens_equation_graphically} 
	The problem of solving the image positions is transformed into a graphical problem, 
	asking for the number of intersection points between two curves $y=\theta-\beta$ 
	and $y=\frac{\theta_E^2}{\theta}$. 
	As we can see, the point mass lens model always has two images (two intersection points in red).
}
\index{images}
\end{figure}

\subsection{\underline{Lens equation in higher dimensions}}
We now want to extend our discussion to three-dimensional scenarios where the lens has sizes. 
For the following derivation, refer to Figure \ref{Fig: 3d_point_mass_lens_model}. 
All the angles are now promoted to 2D angles. 
The deflection angle is now a function of the impact parameter $\hat\alpha = \hat\alpha(\vec\xi)$.
Apart from this, the previous derivation for the 1D lens equation still holds as long as we promote 
the angles to two-dimensional, i.e. 
\begin{align}
	\vec\beta + \frac{D_\text{LS}}{D_\text{S}}\hat\alpha = \vec\theta.
\end{align}
This is the 2D lens equation.

We can define the reduced deflection angle as
\begin{align}
	\vec\alpha = \frac{D_\text{LS}}{D_\text{S}}\hat\alpha. 
\end{align}
Rearranging the terms, we get
\begin{align}
	D_\text{S}\vec\alpha = D_\text{LS} \hat\alpha.
\end{align}
Both sides roughly describe the distance between the source and the image, 
and $\vec\alpha$ is roughly the angle between the line joining the observer and the source, 
and that joining the observer and the image.

Since all angles are now two-dimensional, including the deflection angle $\hat\alpha$, 
we can write the deflection angle as a directional vector in terms of the impact parameter vector, i.e.
\begin{align}
	\hat\alpha = \frac{4GM}{\xi}\hat\xi.
\end{align}
Generalizing to a lens that is not at the origin (but at some position $\vec\xi'$), the deflection angle is
\begin{align}
	\hat\alpha = \frac{4GM}{|\vec\xi-\vec\xi'|^2}\left(\vec\xi-\vec\xi'\right).
\end{align}
Note that this applies only to a single point mass lens.

\begin{figure}[hbt!]
\centering
\includegraphics[width=\textwidth]{deflection_angle_for_thin_lens.png}
\caption{
	\label{Fig: deflection_angle_for_thin_lens} 
	Deriving the deflection angle for a thin lens.
}
\index{figures}
\end{figure}
If the lens mass can be described by some continuous mass density function $\rho(\vec{r})$, 
the deflection angle can be written as a triple integral, i.e.
\begin{align}
	\hat\alpha = 4GM \int_V \frac{\rho(\vec{r}')d^3r'}{|\vec\xi-\vec\xi'|^2}\left(\vec\xi-\vec\xi'\right) = 4GM \int_{z_0}^{z_1}dr'_3 \int_S \frac{\rho(\vec\xi, r'_3)d^2\xi}{|\vec\xi-\vec\xi'|^2}\left(\vec\xi-\vec\xi'\right),
\end{align}
where $r_3$ is the dimension perpendicular to the lens plane. 
Note that in principle we should replace the vector $\vec\xi - \vec\xi'$ by $\vec\eta - \vec\eta'$, 
where $\vec\eta = \vec\xi + \vec{r}_3$ includes the distance along the dimension $r_3$. 
However, here we take the thin lens approximation (i.e. the distance along the dimension $r_3$ is negligible).

The integral along the $r_3$ dimension can be integrated easily since only $\rho$ depends on $r_3$. 
We can define the integral as a new quantity
\begin{align}
	\Sigma(\vec\xi) = \int \rho(\vec\xi, r'_3)dr'_3,
\end{align}
known as the surface mass density of the lens. 
Then, the deflection angle can be written as
\begin{align}
	\hat\alpha = 4G \int \Sigma \frac{\vec\xi - \vec\xi'}{|\vec\xi - \vec\xi'|^2} d^2\xi.
\end{align}
We have shown that $\vec\xi = D_\text{L}\vec\theta$. 
Similarly, we can write $\vec\xi'=D_\text{L}\vec\theta'$. 
Then, the deflection angle can be expressed as
\begin{align}
	\hat\alpha = 4G \int \Sigma \frac{D_\text{L}\left(\vec\theta - \vec\theta'\right)}{D_\text{L}^2|\vec\theta - \vec\theta'|^2} D_\text{L}^2 d^2\theta' = 4GD_\text{L} \int \Sigma \frac{\vec\theta - \vec\theta'}{|\vec\theta - \vec\theta'|^2}d^2\theta'.
\end{align}

The reduced deflection angle can also be expressed as
\begin{align}
	\vec\alpha = \frac{D_\text{LS}}{D_\text{S}}\hat\alpha = \frac{4GD_\text{LS}D_\text{L}}{D_\text{S}}\int \Sigma \frac{\vec\theta - \vec\theta'}{|\vec\theta - \vec\theta'|^2}d^2\theta'.
\end{align}
Note that the constants outside of the integral $\frac{4GD_\text{LS}D_\text{L}}{D_\text{S}}$ 
have a dimension of $\text{kg}^{-1}\text{m}^2$ (with appropriate insertion of the speed of light $c$), 
which is the inverse of the lens surface mass density. 
Therefore, we are prompted to define a ``critical mass density'' as
\begin{align}
	\Sigma_c = \frac{1}{4\pi G} \frac{D_\text{S}}{D_\text{LS}D_\text{L}}.
\end{align}
The constant $\pi$ is inserted intentionally. Then, the reduced deflection angle can be written as
\begin{align}
	\vec\alpha = \frac{1}{\pi} \int \frac{\Sigma}{\Sigma_c} \frac{\vec\theta - \vec\theta'}{|\vec\theta - \vec\theta'|^2}d^2\theta'.
\end{align}
We can further define ``convergence'' as
\begin{align}
	\kappa = \frac{\Sigma}{\Sigma_c},
\end{align}
which allows us to further simplify the expression to
\begin{align}
	\vec\alpha = \frac{1}{\pi} \int\kappa \frac{\vec\theta - \vec\theta'}{|\vec\theta - \vec\theta'|^2}d^2\theta'.
\end{align}
From vector calculus, we know that
\begin{align}
	\nabla \ln |\vec{r}-\vec{r}'| = \frac{\vec{r}-\vec{r}'}{|\vec{r}-\vec{r}'|^2},
\end{align}
so we can rewrite the reduced deflection angle as
\begin{align}
	\vec\alpha = \nabla \left[\frac{1}{\pi}\int \kappa \ln|\vec\theta - \vec\theta'|d^2\theta'\right].
\end{align}
The term inside the square bracket is now solely a function of the image position $\theta$, 
and all the lens information is well-contained in $\kappa$. 
We name the term the lens potential $\psi(\vec\theta)$. 
Then, the reduced deflection angle can be written as
\begin{align}
	\vec\alpha = \nabla \psi(\vec\theta).
\end{align}

Many similarities between the lens equation derivations and electrostatic equations can be drawn. 
For instance, the electric field $\vec{E}$ is minus the gradient of the electric potential $V$, i.e.
\begin{align}
	\vec{E} = -\nabla V.
\end{align}
For the case of lensing, the reduced deflection angle $\vec\alpha$ is the gradient of the lens potential $\psi(\vec\theta)$, i.e.
\begin{align}
	\vec{\alpha} = \nabla \psi.
\end{align}
The total electric field by a distribution of charges is given by
\begin{align}
	\vec{E} = k_e \int \frac{\rho}{|\vec{r}-\vec{r'}|^3}\left(\vec{r}-\vec{r'}\right) d^3r'.
\end{align}
For lensing, the reduced deflection angle due to a distribution of lens masses is given by
\begin{align}
	\vec\alpha = \frac{1}{\pi}\int \frac{\kappa}{|\vec\theta - \vec\theta'|^2}\left(\vec\theta - \vec\theta'\right)d^2\theta'.
\end{align}
The Gauss's law for electrostatics is 
\begin{align}
	\nabla \cdot \vec{E} = -\nabla^2 V = \frac{\rho}{\epsilon_0}.
\end{align}
The Gauss's law for lensing is 
\begin{align}
	\nabla \cdot \vec\alpha = \nabla^2 \psi = 2\kappa.
\end{align}
The lens equations have almost the same structure as electrostatics formalism. 
Therefore, techniques for solving electrostatics problems can also be applied (with appropriate modifications) to solve the lens equation.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


\section{Deriving the time delay components induced by gravitational lensing}
\label{appsec: lens_eq_from_time_delay}
We derive the lens equation by considering the total time delay induced by gravitational lensing. 
Gravitational lensing changes the path lengths of the waves traveling toward us from the source, 
causing a ``geometric time delay''. 
There is also an additional ``gravitational time delay'' (also known as Shapiro time delay) that comes purely from the metric. 

\subsection{\underline{Geometric time delay}}
Let us first derive the geometric time delay due to the change in path length by gravitational lensing. 
We refer to Figure \ref{Fig: geometric_time_delay} for the derivation.
\begin{figure}[h!]
\centering
\includegraphics[width=\textwidth]{geometric_time_delay.png}
\caption{
	\label{Fig: geometric_time_delay} 
	Deriving the geometric time delay.
}
\end{figure}
By construction, we make $OA=OS$. 
Then, considering the isosceles triangle $\Delta OAS$, we have 
\begin{align}
	\angle OAS = \angle OSA = \frac{\pi}{2} - \frac{\vec{\alpha}}{2}.
\end{align} 
Next, we have $LI\approx LS \approx D_\text{LS}$, 
so by considering the isosceles triangle $\Delta LIS$, 
we have 
\begin{align}
	\angle LIS = \angle LSI = \frac{\pi}{2} - \frac{\hat\alpha}{2}.
\end{align}
By considering the exterior angle of triangle $\Delta OLS$, 
we have 
\begin{align}
	\angle OSL = \hat\alpha - \vec\alpha.
\end{align}
Then 
\begin{align}
	\angle ASL = \frac{\pi}{2} - \frac{\vec{\alpha}}{2} - \left(\hat\alpha - \vec\alpha\right) = \frac{\pi}{2} + \frac{\vec\alpha}{2} - \hat\alpha.
\end{align}
With that, we get
\begin{align}
	\angle ASI = \frac{\pi}{2} - \frac{\hat\alpha}{2} - \left(\frac{\pi}{2} + \frac{\vec\alpha}{2} - \hat\alpha\right)=\frac{\hat\alpha}{2} - \frac{\vec\alpha}{2}.
\end{align}
Recall that the reduced deflection angle and the deflection angle are related by
\begin{align}
	\vec\alpha = \frac{D_\text{LS}}{D_\text{S}}\hat\alpha.
\end{align}
Therefore, we have
\begin{align}
	\angle ASI = \frac{D_\text{S}}{2D_\text{LS}}\vec\alpha - \frac{\vec\alpha}{2} = \frac{\vec\alpha}{2}\left(\frac{D_\text{S}}{D_\text{LS}}- 1\right) = \frac{\vec\alpha}{2}\left(\frac{D_\text{S}-D_\text{LS}}{D_\text{LS}}\right)\approx \frac{\vec\alpha}{2}\frac{D_\text{L}}{D_\text{LS}},
\end{align}
where in the last line we use the approximation $D_\text{S}-D_\text{LS}\approx D_\text{L}$.
Now, $AS \approx D_\text{S} \vec\alpha$, so the additional path length is roughly
\begin{align}
	\Delta \lambda \approx D_\text{S} \vec\alpha \cdot \frac{\vec\alpha}{2}\frac{D_\text{L}}{D_\text{LS}} = \frac{D_\text{S}D_\text{L}}{2D_\text{LS}}|\vec\alpha|^2 = \frac{D_\text{S}D_\text{L}}{2D_\text{LS}}|\vec\theta - \vec\beta|^2.
\end{align}
We need to account for cosmological redshift near the lens, assuming that lensing happens only around the lens. 
Therefore, the geometric time delay is given by
\begin{align}
	\tau_\text{geo} = (1+z_L)\Delta \lambda = (1+z_L)\frac{D_\text{S}D_\text{L}}{2D_\text{LS}}|\vec\theta - \vec\beta|^2,
\end{align}
where $z_L$ is the lens redshift.

\subsection{\underline{The gravitational time delay (Shapiro time delay)}}
Another component for the gravitational lensing time delay comes purely from the metric, 
known as the gravitational time delay (Shapiro time delay). 
We will derive the Shapiro time delay in this subsection.

The metric of spacetime in which a lens with Newtonian potential $\Phi$ is present can be described by
\begin{align}
	ds^2 &\approx -(1+2\Phi)dt^2 + (1+2\Phi)^{-1}(dx^2 + dy^2 + dz^2) \\
	&= -(1+2\Phi)dt^2 + (1+2\Phi)^{-1}dl^2.
\end{align}
For photons, the spacetime interval is always $0$, so we have
\begin{align}
	0 = -(1+2\Phi)dt^2 + (1+2\Phi)^{-1}dl^2\\
	\frac{dl}{dt} = c' \approx 1 + 2\Phi. 
\end{align}
Here, $c'$ is the speed of the light near the lens. 
Note that $\Phi<0$, meaning that light moves with a lower speed near the lens. 
Now, the total traveling time of light over its whole journey is given by
\begin{align}
	\int dt = t = \int \frac{dl}{1+2\Phi} \approx \int \left(1-2\Phi\right)dl = L - 2\int \Phi dl,
\end{align}
where $L$ is the time of travel if the speed of light is constant. So, the extra time required for light 
to travel the same path near a lens is given by
\begin{align}
	\tau_\text{grav} = -2(1+z_L)\int \Phi dl,
\end{align}
where the factor $1+z_L$ is inserted to account for cosmological redshift near the lens. 


%\section{Types of gravitational lensing}
%Different types of gravitational lensing may occur depending on the lensing parameters (e.g., the lens mass).
%
%Strong lensing refers to the case where a lens mass produces multiple resolvable images of a background source. In this case, the lens and the source must be closely aligned \cite{congdon2018principles}.
%
%Weak lensing refers to the case where the shapes of background sources are deformed by the lens mass without multiple images being formed. This occurs when objects behind the lens are significantly offset from the center of the lens.
%
%Microlensing refers to the case where the lens mass is not massive enough such that the multiple images formed are not resolvable.
%


%\begin{figure}[hbt!]
%\centering
%\includegraphics[width=\textwidth]{cross_polarization.png}
%\caption{Cross Polarization.}\label{fig:cross_polarization}
%\index{figures}
%\end{figure}

